import { Frequency } from '@modules/ad/core/domain/ad.types';
import { CreateAdRequestDto } from '@modules/ad/interface/grpc-controllers/dtos/create-ad.request.dto';
import { WaypointDto } from '@modules/ad/interface/grpc-controllers/dtos/waypoint.dto';

const originWaypoint: WaypointDto = {
  position: 0,
  lat: 48.689445,
  lon: 6.17651,
  houseNumber: '5',
  street: 'Avenue Foch',
  locality: 'Nancy',
  postalCode: '54000',
  country: 'France',
};
const destinationWaypoint: WaypointDto = {
  position: 1,
  lat: 48.8566,
  lon: 2.3522,
  locality: 'Paris',
  postalCode: '75000',
  country: 'France',
};
export function punctualCreateAdRequest(): CreateAdRequestDto {
  return {
    userId: '4eb6a6af-ecfd-41c3-9118-473a507014d4',
    fromDate: '2023-12-21',
    toDate: '2023-12-21',
    schedule: [
      {
        time: '08:15',
        day: 4,
        margin: 600,
      },
    ],
    driver: false,
    passenger: true,
    seatsRequested: 1,
    seatsProposed: 3,
    strict: false,
    frequency: Frequency.PUNCTUAL,
    waypoints: [originWaypoint, destinationWaypoint],
  };
}
